Metafunction
Alphabet
Access to the Alphabet type.
Alphabet<T>::Type
Include Headers
seqan/graph_types.h
Parameters

T | Type T must be a type that uses some kind of alphabet internally. Types: Graph

Remarks
Type T can be for example an automaton where the alphabet type describes the domain of the transition labels.
Return Values

Type | Alphabet type.

Functions

addEdge | Adds a new edge to the graph, either with or without cargo.
assignEmissionProbability | Assigns a new emission probability.
emissionProbability | Returns a reference to the emission probability.
findEdge | Finds an edge.
getEmissionProbability | Returns the emission probability.
getSuccessor | Gets the successor for a given vertex and an edge label. For an automaton a single character is required whereas for a word graph getSuccessor takes a string.
label | Returns the label of the out-edge this iterator points to (for automatons).
removeEdge | Removes an edge from the graph. For automatons a label is required.

Examples
Alphabet<Graph<Automaton<Dna> > >::Type alph; //alph is of type Dna
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50